> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collaborator Roles



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/collaborator_roles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/collaborator_roles:
    get:
      tags:
        - projects
      summary: Get Collaborator Roles
      operationId: get_collaborator_roles_v2_collaborator_roles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CollaboratorRoleInfo'
                type: array
                title: Response Get Collaborator Roles V2 Collaborator Roles Get
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CollaboratorRoleInfo:
      properties:
        name:
          $ref: '#/components/schemas/CollaboratorRole'
          examples:
            - owner
        display_name:
          type: string
          title: Display Name
          examples:
            - Owner
        description:
          type: string
          title: Description
          examples:
            - Can do anything with the resource.
      type: object
      required:
        - name
        - display_name
        - description
      title: CollaboratorRoleInfo
    CollaboratorRole:
      type: string
      enum:
        - owner
        - editor
        - annotator
        - viewer
      title: CollaboratorRole
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````